## krb4-cclub 005-1

=== debian/changelog ===
krb4-cclub (005-1) stable; urgency=medium

  * Sync to upstream version (kth krb 1.2.2)
  
 -- Aaron Solochek <aarons@aberrant.org>  Mon, 11 Aug 2003 14:35:25 -0500

krb4-cclub (004b-1) stable; urgency=medium

  * Built against openssl (libdes and libcrypto)

 -- Aaron Solochek <aarons@aberrant.org>  Wed, 18 Jun 2003 18:05:40 -0500

krb4-cclub (004-1) stable; urgency=low

  * Base upgraded to kth-krb 1.2.1, which fixes a security hole
  * Put des.h back in krb4-dev because libopenafs-dev-cclub doesn't have it

 -- Aaron Solochek <aarons@aberrant.org>  Mon, 04 Nov 2002 24:59:44 -0500

krb4-cclub (003-2) stable; urgency=low

  * Removed des.h from krb4-dev since it conflicts with libopenafs-dev
  * Added dependency on libopenafs-dev
  * Added conflicts between libkrb-1 and libkrb-1-kerberos4kth

 -- Aaron Solochek <aarons@aberrant.org>  Wed, 04 Sep 2002 19:58:06 -0500

krb4-cclub (003-1) stable; urgency=low

  * Initial Release.

 -- Aaron Solochek <aarons@aberrant.org>  Thu, 29 Aug 2002 10:32:29 -0500

Local variables:
mode: debian-changelog
End:
