=== debian/control ===
Source: krb4-cclub
Section: non-US
Priority: optional
Maintainer: Aaron Solochek <aarons@aberrant.org>
Standards-Version: 1.2.1
Build-Depends: libncurses5-dev, bison, flex, debhelper, xlibs-dev, libreadline4-dev, libdb3-dev, libssl-dev, libpam0g-dev, dbs, automake
Build-Conflicts: kerberos4kth-dev, kerberos4kth-dev-common, libgdbmg1-dev, arla-dev

Package: krb4-docs-cclub
Architecture: all
Depends: 
Replaces: krb4-cclub
Conflicts: krb4-cclub
Provides: kerberos4kth-docs
Suggests: krb4-clients-cclub, krb4-clients-x-cclub, krb4-servers-cclub, krb4-servers-x-cclub
Description: Documentation for Kerberos 4 from KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: krb4-kdc-cclub
Architecture: any
Conflicts: heimdal-kdc, heimdal-kdc-cclub
Depends: ${shlibs:Depends}, logrotate, debconf, krb4-config-cclub
Suggests: krb4-docs-cclub
Provides: kerberos4kth-kdc
Priority: extra
Description: KDC for Kerberos4 from KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: krb4-dev-common-cclub
Architecture: any
Conflicts: 
Depends: libacl1-krb4-cclub, libkadm1-krb4-cclub, libkdb-1-krb4-cclub, libkrb-1-krb4-cclub
Provides: kerberos4kth-dev-common
Description: Development files for Kerberos4 wish is also in heimdal
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: krb4-dev-cclub
Architecture: any
Conflicts: krb4-dev, comerr-dev, ss-dev, arla-dev (<< 35.5.3), heimdal-dev
Depends: krb4-dev-common-cclub, libacl1-krb4-cclub, libkadm1-krb4-cclub, libkdb-1-krb4-cclub, libkrb-1-krb4-cclub, libssl-dev
Suggests: krb4-docs-cclub, libopenafs-dev
Provides: kerberos4kth-dev
Description: Development files for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: krb4-kip-cclub
Architecture: any
Depends: ${shlibs:Depends}, krb4-config-cclub
Conflicts: krb4-user-cclub, krb5-user
Provides: kerberos4kth-kip
Description: Kerberos IP Tunnel software
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: krb4-clients-x-cclub
Architecture: any
Depends: ${shlibs:Depends}, netbase, krb4-clients-cclub
Replaces: krb4-x11-cclub
Conflicts: krb4-x11-cclub
Suggests: krb4-docs-cclub
Provides: kerberos4kth-clients-x-cclub
Description: X11 files for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: krb4-clients-cclub
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: netstd, krb4-user-cclub, otp, krb5-user
Provides: telnet-client, ftp, rsh-client
Suggests: krb4-docs-cclub
Provides: kerberos4kth-clients
Description: Clients for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: krb4-servers-x-cclub
Architecture: any
Conflicts: krb4-x11-cclub, krb4-services-cclub
Depends: ${shlibs:Depends}, netbase, krb4-servers-cclub
Suggests: krb4-docs-cclub
Provides: kerberos4kth-servers-x
Description: X11 files for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: krb4-servers-cclub
Architecture: any
Depends: ${shlibs:Depends}, netbase
Conflicts: netstd, heimdal-clients-cclub, krb4-services-cclub, kerberos4kth-services, heimdal-clients
Provides: ftp-server, rsh-server, telnet-server
Suggests: krb4-docs-cclub
Replaces: krb4-services
Description: Servers for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: krb4-user-cclub
Architecture: all
Recommends: krb4-clients-cclub
Description: Dummy library package for Kerberos4 From KTH.
 This is a dummy package. It should be safe to remove it.

Package: krb4-x11-cclub
Architecture: all
Description: Dummy library package for Kerberos4 From KTH.
 This is a dummy package. It should be safe to remove it.

Package: krb4-cclub
Architecture: all
Description: Dummy library package for Kerberos4 From KTH.
 This is a dummy package. It should be safe to remove it.

Package: krb4-services-cclub
Architecture: all
Description: Dummy library package for Kerberos4 From KTH.
 This is a dummy package. It should be safe to remove it.

Package: libacl1-krb4-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: krb4-cclub
Conflicts: krb4-cclub
Provides: libacl1-kerberos4kth
Description: ACL Libraries for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: libkadm1-krb4-cclub
Architecture: any
Depends: comerr-dev | libcomerr1-krb4 | libcomerr1-heimdal | libcomerr1-heimdal-cclub | libcomerr1-krb4-cclub
Replaces: krb4-cclub
Conflicts: krb4-cclub
Provides: libkadm1-kerberos4kth
Description: Kadm Libraries for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: libkdb-1-krb4-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: krb4-cclub
Conflicts: krb4-cclub
Provides: libkdb-1-kerberos4kth
Description: Kerberos database libraries for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
 packages.  Also, some files (such as headers which conflict with heimdal-dev)
 have been moved from the -dev package to the -dev-common package.

Package: libkrb-1-krb4-cclub
Architecture: any
Depends: ${shlibs:Depends}
Replaces: krb4-cclub
Conflicts: krb4-cclub, libkrb-1-kerberos4kth
Provides: libkrb-1-kerberos4kth
Description: Kerberos Libraries for Kerberos4 From KTH
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").  
 .
 This version is pretty much the same as the standard kerberos4kth packages,
 but their dependencies have been altered to work with the CMU computer club
