## krb4-cclub 005-2

=== debian/changelog ===
krb4-cclub (005-2) stable; urgency=medium

  * Fix dependencies to provide libacl1, which coreutils wants in unstable
  
 -- Aaron Solochek <aarons@aberrant.org>  Mon, 29 Aug 2003 16:12:48 -0500
