=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
 Package: krb4-dev-common-cclub
 Architecture: any
 Conflicts: 
-Depends: libacl1-krb4-cclub, libkadm1-krb4-cclub, libkdb-1-krb4-cclub, libkrb-1-krb4-cclub
+Depends: libacl1-krb4-cclub | libacl1, libkadm1-krb4-cclub, libkdb-1-krb4-cclub, libkrb-1-krb4-cclub
 Provides: kerberos4kth-dev-common
 Description: Development files for Kerberos4 wish is also in heimdal
  Kerberos is a system for authenticating users and services on a network.
@@ -188,7 +188,6 @@
 Depends: ${shlibs:Depends}
 Replaces: krb4-cclub
 Conflicts: krb4-cclub
-Provides: libacl1-kerberos4kth
 Description: ACL Libraries for Kerberos4 From KTH
  Kerberos is a system for authenticating users and services on a network.
  Kerberos is a trusted third-party service.  That means that there is a
@@ -248,3 +247,4 @@
  .
  This version is pretty much the same as the standard kerberos4kth packages,
  but their dependencies have been altered to work with the CMU computer club
+ packages.  Also, some files (such as headers which conflict with heimdal-dev)
